src.c.Borne.Borne Class Reference

Controleur de la vue des bornes permettant l'accès au parking. More...

## Public Member Functions

def | MajBorne (self)
| Met a jour l'affichage du nombre de places dispo sur la borne courante.
def | __init__ (self, main, parking)
| Constructeur du controleur de borne. More...
def | blockAll (self)
| blocque l'ensemble des éléments de la fenetre
def | nonVoiture (self)
| Met en etat initial de départ sans voiture.
def | newVoiture (self)
| Met en etat d'arrive de voiture detecte par la camera.
def | identification (self)
| Gestion de l'identification a partir de l'id fournit (lineedit)
def | abo (self)
| Gestion validation formulaire d'abonnement.
def | desabo (self)
| Gestion du desabonnment du client identifié
def | garer (self)
| Gestion de la validation pour garer son vehicule.
def | recuperer (self)
| Gestion de recuperation une voiture avec le numero de ticket (lineedit)
def | payer (self)
| Gestion du paiement.
def | ticketDepot (self, id)
| Generation ticket depot.
def | ticketRetrait (self, placement, services)
| Generation ticket retrait.
def | showWindow (self)
| Gestion d'affichage de la vue borne.
def | quitter (self)
| Gestion de sortie de la vue borne.
def | error (self, msg)
| Generation Qdialog d'erreur. More...

## Static Public Member Functions

def | MajBornes ()
| Met a jour l'affichage du nombres de places dispo sur toutes les bornes.

## Static Public Attributes

list | bornes = []

## Detailed Description

Controleur de la vue des bornes permettant l'accès au parking.

## Constructor & Destructor Documentation

def src.c.Borne.Borne.__init__ | ( |  | self,
|  |  | main,
|  |  | parking
| ) |  |

Constructeur du controleur de borne.

Parameters

  main | Controleur parent Main
  parking | Parking auquel la borne est associé

## Member Function Documentation

def src.c.Borne.Borne.error | ( |  | self,
|  |  | msg
| ) |  |

Generation Qdialog d'erreur.

Parameters

  msg | message d'erreur a afficher

The documentation for this class was generated from the following file:

- src/c/Borne.py